| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
Digikam::GPSItemListContextMenu Class Reference
Inheritance diagram for Digikam::GPSItemListContextMenu:

## Signals
void | signalProgressChanged (const int currentProgress)
void | signalProgressSetup (const int maxProgress, const QString &progressText)
void | signalSetUIEnabled (const bool enabledState)
void | signalSetUIEnabledWithCancel (const bool enabledState, QObject *const cancelObject, const QString &cancelSlot)
void | signalUndoCommand (GPSUndoCommand *undoCommand)

## Public Member Functions
| GPSItemListContextMenu (GPSItemList *const imagesList, GPSBookmarkOwner *const bookmarkOwner=nullptr)
void | setEnabled (const bool state)

## Protected Member Functions
bool | eventFilter (QObject *watched, QEvent *event) override
bool | getCurrentItemPositionAndUrl (GPSDataContainer *const gpsInfo, QUrl *const itemUrl)
void | removeInformationFromSelectedImages (const GPSDataContainer::HasFlags flagsToClear, const QString &undoDescription)
void | setGPSDataForSelectedItems (const GPSDataContainer &gpsData, const QString &undoDescription)

## Static Protected Member Functions
static bool | getCurrentPosition (GPSDataContainer *position, void *mydata)